@import "reset.css";
@import "theme.css";
@import "radio.css";

html {
  min-height: 100%;
  height: 100%;
}

body {
  background-color: var(--background);
  display: flex;
  flex-direction: column;
  color: var(--text-primary);
  font-variation-settings: 'wght' 400;
  font-size: 2.2rem;
  min-width: 250px;
  justify-content: space-between;
  min-height: 100vh;
}

h1 {
  font-size: 3rem;
  font-variation-settings: 'wght' 850;
  margin-bottom: 2rem;
  text-decoration-line: underline;
  text-decoration-style: dotted;
  text-decoration-thickness: 0.4rem;
  text-decoration-color: var(--green-primary);
}

h2 {
  font-size: 2.4rem;
  font-variation-settings: 'wght' 500;
}

h3 {
  font-variation-settings: 'wght' 500;
  font-style: italic;
  margin-top: 2rem;
  margin-bottom: 1rem;
}

date {
  color: var(--text-secondary);
}

.outer-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  flex-grow: 1;
}

.inner-container {
  display: flex;
  flex-direction: column;
  width: 60%;
  height: 100%;
  flex-grow: 1;
  border-left: 1px solid var(--outline-grey);
  border-right: 1px solid var(--outline-grey);
  padding: 4rem;
}

footer {
  display: none;
  width: 100%;
  position: sticky;
  bottom: 0;
  background-color: inherit;
}

.construction {
  text-decoration-line: underline;
  text-decoration-style: wavy;
  text-decoration-thickness: 0.2rem;
  text-decoration-color: var(--shy);
}


a {
  text-decoration: underline 0.0em transparent;
  transition: text-decoration-color 70ms;
   font-size: 20px;
  font-weight: 500;
  color:  var(--green-primary);
}

a:hover {
  color: var(--green-primary-hover);
  transition: text-decoration-thickness 60ms;
  text-decoration: underline 0.1em transparent;
  text-decoration-color: var(--green-primary-hover);
}

article {
  height: 100%;
  flex-grow: 1;
  display: flex;  
}

ul.blog-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  padding: 2rem;
}

ul.blog-list li {
  width: 64rem;
}

.title {
font-weight: 800;
}

h2.title {
  padding-left: 2rem;
}

.object-icon {
  fill:  var(--green-primary);
  width: 1.4rem;
  height: auto;
  margin: 1rem;
  transition: transform 0.25s ease-in-out;
}

.object-icon:hover {
  transform: rotate(-0.25turn);
  transition: transform 0.25s ease-in-out;
}

p {
  color: var(--text-primary);
  padding:  1rem 0;
}

.padding {
  padding: 2.4rem 3rem;
}

details {
  color: var(--text-secondary);
  width: 100%;
  font-weight: 300;
  line-height: 2.4rem;
  margin-bottom: 1rem;
  border: 0.3rem dotted transparent;
}

.summary-container {
  margin-top: 1rem;
}

summary {
  padding: 1rem 2rem ;
  font-weight: 500;
  color: var(--green-primary);
}

summary:hover {
  cursor: pointer;
  transition: all 0.14s;
  color: var(--green-primary-hover);
}

details[open]{
  padding-bottom: 2rem;
}

.details-body {
  padding: 1rem 2rem ;
}

.btn {
  border-radius: 4px;
  max-width: 20rem;
  padding: 8px;
  cursor: pointer;
  font-size: 20px;
  font-weight: 600;
  display: flex;
}

.btn a {
  text-decoration: none;
}

.home {
  font-weight: 900;
}

header {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 2rem 0;
  border-bottom: 1px solid var(--outline-grey);
  background-color: var(--background);
  position: sticky;
  top: 0;
  z-index: 1;
}

.header-content {
  display: flex;
  flex-direction: row;
  width: 60%;
  justify-content: space-between;
}

header ul {
  display: flex;
  flex-direction: row;
  gap: 1.2rem;
  padding: 1rem;
}

.header-group-left {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}


main {
  height: 100%;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  overflow-y: visible;
}



.btn.contained {
  background-color: #a17dcd;
  color: #11111b;
  box-shadow: 0px 4px 0px 0px #11111b;
  border: none;
  transform: translate(0px, -4px);
  transition: all 0.05s ease-out;
}

.btn.contained:hover {
  background-color: #cba6f7;
  transition: all 0 ease-out;
}

.group {
  background-color: red;
}

.btn.contained:active {
  background-color: #d1b1f7;
  transition: all 0.075s ease-out;
  box-shadow: 0px 0px 0px 0px #000000ff;
  transform: translate(0px, 0px);
  transform: scale(0.98);
}

.btn.outlined {
  background-color: transparent;
  border: 1px solid var(--macchiato-teal);
  color: var(--macchiato-teal);
  box-shadow: 0px 4px 0px 0px var(--macchiato-teal);
  transform: translate(0px, -4px);
  transition: all 0.05s ease-out;
}

.btn.outlined:hover {
  color: var(--macchiato-yellow);
  border-color: var(--macchiato-yellow);
  box-shadow: 0px 4px 0px 0px var(--macchiato-yellow);
  transition: all 0 ease-out;
}

.btn.outlined:active {
  transition: all 0.075s ease-out;
  box-shadow: 0px 0px 0px 0px var(--macchiato-peach);
  transform: translate(0px, 0px);
  transform: scale(0.98);
}

.left-group {
  display: flex;
  flex-direction: row;
  align-items: center;
}

@media screen and (max-width: 700px) {
  body {
  font-size: 2.4rem;
  }

  header {
    height: 8rem;
    display:none;
  }
  footer {
    display: flex;
  border-top: 1px solid var(--green-primary);
  }

footer ul {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1.2rem;
  padding: 2rem;
}

footer ul li {
    display: flex;
}

  .footer-content {
    display: flex;
    flex-direction: row;
    width: 100%;
    font-size: 4rem;
    align-items: center;
    justify-content: space-between;
    padding: 0 4rem;
  }

  .footer-group-left {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
  
  .footer-group-right {
    display: flex;
    flex-direction: row;
    align-items: center;
  }

  .footer-group-right ul {
    gap: 3rem;
  }

.outer-container {
  width: 100%;
}
.inner-container {
  width: 90%;
  border-left: unset;
  border-right: unset;
}

ul.blog-list {
 width: 100%;
}

ul.blog-list li {
  width: 90%;
}

time {
  color: var(--text-secondary);
}

.header-content {
  width: 90%;
}


@media screen and (max-width: 400px) {
  
.footer-content {
    font-size: 3rem;
    padding: 0 1rem;
  }

 a {
    font-size: 1.8rem;
}

}
